Qt 5.6 | Qt Widgets | C++ Classes | QLayout

Qt 5.6.2 Reference Documentation

# Obsolete Members for QLayout

The following members of class QLayout are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` margin : int

## Property Documentation

### margin : int

This property holds the width of the outside border of the layout.

Use setContentsMargins() and getContentsMargins() instead.

Access functions:

int | margin() const
void | setMargin(int margin)

See also contentsRect() and spacing.

## Member Function Documentation

### int QLayout::margin() const

Note: Getter function for property margin.

See also setMargin().

### void QLayout::setMargin(int margin)

Note: Setter function for property margin.

See also margin().